# gnochm.spec
%define name gnochm
%define version 0.9.5
%define release 1mdk

%define Summary A chm file viewer for gnome
%define title	Gnochm
%define section Applications/Publishing 

Summary: 	%Summary
Name: 		%name
Version: 	%version
Release: 	%release
License: GPL
Group: 		Graphical desktop/GNOME
URL: http://gnochm.sourceforge.net/

Source: 	http://prdownloads.sourceforge.net/gnochm/%{name}-%{version}.tar.bz2
Source1:	%name-16.png
Source2:	%name-32.png
Source3:	%name.png

Patch:		gnochm-makefile.patch.bz2
Patch1:         gnochm.py.in.patch.bz2

BuildRoot: 	%_tmppath/%{name}-%{version}-%{release}-buildroot

BuildRequires: scrollkeeper libGConf2-devel

Requires: pygtk2.0-libglade, gnome-python
Requires: gnome-python-bonobo gnome-python-gtkhtml2
Requires: gnome-python-gconf
Requires: python-chm 
BuildArch: noarch
%description
A CHM file viewer for Gnome. Features are:
  
  * Full text search
  * Bookmarks
  * Support for external ms-its links
  * Configurable support for http links 
  * Internationalisation

# Prep
%prep
%setup -q

%patch -p0 -b .makefile
%patch1 -p0 -b .makefile

#rebuild
aclocal
autoconf
automake

%build
%configure2_5x --prefix=%buildroot 

%make WARN_CFLAGS=""

%install
rm -rf %buildroot
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std UPDATE_MIME_DATABASE=true UPDATE_DESKTOP_DATABASE=true

%find_lang %name --with-gnome

# menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="x11" \
icon="%name.png" \
section="%section" \
title="%title" \
longtitle="%Summary"
EOF

# icon
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
#install -m 644 src/pixmaps/%name.png %buildroot/%_datadir/pixmaps/%name.png
install -m 644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_liconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_iconsdir/%name.png

%post
%update_menus
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnochm.schemas > /dev/null
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi
touch %{_datadir}/gnome/help/%{name}/C/%{name}.html
if [ -x %{_bindir}/yelp-pregenerate ]; then %{_bindir}/yelp-pregenerate %{_datadir}/gnome/help/%{name}/*/%name.xml > /dev/null; fi
%{_bindir}/update-mime-database %{_datadir}/mime/

%preun
if [ $1 -eq 0 ]; then
  GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnochm.schemas > /dev/null
fi

%postun
%clean_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi
if [ "$1" = "0" ]; then %{_bindir}/update-mime-database %{_datadir}/mime; fi

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)

%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/gconf/schemas/gnochm.schemas

%{_bindir}/gnochm
%dir %{_datadir}/gnochm/
%dir %{_datadir}/gnochm/glade/
%{_datadir}/gnochm/glade/*.glade
%{_datadir}/omf/gnochm/
%{_datadir}/pixmaps/*
%{_datadir}/applications/gnochm.desktop
%{_datadir}/mime-info/gnochm.*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/application-registry/gnochm.*
%{_datadir}/man/man1/gnochm*
%{_datadir}/man/it/man1/gnochm*
%_menudir/%name
%_liconsdir/%name.png
%_miconsdir/%name.png
%_iconsdir/%name.png

%changelog
* Thu Jun 23 2005 Michael Scherer <misc@mandriva.org> 0.9.5-1mdk
- New release 0.9.5
- update patch0

*Fri  Mar 18 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.9.4-4mdk
- fix mistake 

*Fri  Mar 18 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.9.4-3mdk
- fix mime update
- add patch1 --> fix #13717

* Mon Feb 14 2005 Jerome Soyer <saispo@mandrake.org> 0.9.4-2mdk
- Grrr ! Fix spec error 

* Mon Feb 14 2005 Jerome Soyer <saispo@mandrake.org> 0.9.4-1mdk
- 0.9.4
- clean spec

* Mon Nov 08 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.3-1mdk
- 0.9.3

* Mon Nov  1 2004 Michael Scherer <misc@mandrake.org> 0.9.2-2mdk
- Buildrequires

* Sat Aug 21 2004 Jerome Soyer <saispo@mandrake.org> 0.9.2-1mdk
- 0.9.2
- fix mime update

* Tue Aug 17 2004 Jerome Soyer <saispo@mandrake.org> 0.9.1-3mdk
- fix BuildRequires

* Sun Jul 25 2004 Michael Scherer <misc@mandrake.org> 0.9.1-2mdk 
- [DIRM]

* Fri Jul 02 2004 Jerome Soyer <jeromesoyer@yahoo.fr> 0.9.1-1mdk
- Compiling for Mandrake Cooker Release
